import { defineStore } from 'pinia'
import { ref } from 'vue'
import axios from 'axios'

export const useRequestsStore = defineStore('requests', () => {
  const pendingRequests = ref([])
  const approvedRequests = ref([])

  // 获取待审批请求
  const fetchPendingRequests = async () => {
    const response = await axios.get('/api/admin/requests')
    pendingRequests.value = response.data
  }

  // 获取已批准请求
  const fetchApprovedRequests = async () => {
    const response = await axios.get('/api/user/requests')
    approvedRequests.value = response.data
  }

  return {
    pendingRequests,
    approvedRequests,
    fetchPendingRequests,
    fetchApprovedRequests
  }
})